﻿using Syncfusion.EJ.Export;
using Syncfusion.JavaScript.DataSources;
using Syncfusion.JavaScript.Models;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.XlsIO;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Sample
{
    public partial class _Default : Page
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
        }

        private void BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin"));
                order.Add(new Orders(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid"));
                order.Add(new Orders(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester"));
                order.Add(new Orders(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille"));
                order.Add(new Orders(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen"));
                code += 5;
            }
            this.Grid.DataSource = order;
            this.Grid.DataBind();
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
        }

        protected void Grid_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            ExcelExport exp = new ExcelExport();
            IWorkbook book = exp.Export(Grid.Model, (IEnumerable)order, "Export.xlsx", ExcelVersion.Excel2010, true, false, "flat-lime", true);
            book.ActiveSheet.InsertRow(1, 8);
            IPictureShape shape = book.ActiveSheet.Pictures.AddPicture(1, 1, 8, 8, "D:/Trunk/JS/themes/css/web/common-images/maps/Home_hover_saffron.png");
            book.SaveAs("Export.xlsx", ExcelSaveType.SaveAsXLS, System.Web.HttpContext.Current.Response, ExcelDownloadType.Open);
        }

        protected void Grid_ServerPdfExporting(object sendr, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            PdfExport exp = new PdfExport();
            PdfDocument doc = new PdfDocument();
            RectangleF rect = new RectangleF(0, 0, 10, 50);
            PdfPageTemplateElement header = new PdfPageTemplateElement(rect);
            //need to image url path form your drive location
            PdfImage img = new PdfBitmap("D:/Trunk/JS/themes/css/web/common-images/maps/Home_hover_saffron.png");
            header.Graphics.DrawImage(img, new PointF(0, 0), new SizeF(5, 30));
            doc.Template.Top = header;
            exp.Export(Grid.Model, (IEnumerable)order, "Export.pdf", true, true, "flat-lime", true,false, doc, "PDFEXport");
 
        }

    }
}